LLM Gateway

System One

>-

POST
/v1/systemone

Evaluate a state against named typed questions and get calibrated yes/no, choice and score answers back. TypeSafe-compatible API.

Authorization

bearerAuth
AuthorizationBearer <token>

Bearer token authentication using API keys

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/systemone" \  -H "Content-Type: application/json" \  -d '{    "model": "jev-1.13.0",    "state": "Our production integration has been returning 500s for 3 days.",    "questions": {      "property1": {        "type": "noul",        "instructions": "Does this message convey urgency?"      },      "property2": {        "type": "noul",        "instructions": "Does this message convey urgency?"      }    }  }'
{
  "model": "string",
  "answers": {
    "property1": {
      "type": "noul",
      "noul": 0,
      "choice": "string",
      "score": 0,
      "legend": {
        "property1": "string",
        "property2": "string"
      },
      "probabilities": {
        "property1": 0,
        "property2": 0
      },
      "confidence": 0
    },
    "property2": {
      "type": "noul",
      "noul": 0,
      "choice": "string",
      "score": 0,
      "legend": {
        "property1": "string",
        "property2": "string"
      },
      "probabilities": {
        "property1": 0,
        "property2": 0
      },
      "confidence": 0
    }
  },
  "usage": {
    "input_tokens": 0,
    "output_tokens": 0
  }
}
{
  "error": {
    "message": "string",
    "type": "string",
    "param": "string",
    "code": "string"
  }
}
{
  "error": {
    "message": "string",
    "type": "string",
    "param": "string",
    "code": "string"
  }
}
{
  "error": {
    "message": "string",
    "type": "string",
    "param": "string",
    "code": "string"
  }
}
{
  "error": {
    "message": "string",
    "type": "string",
    "param": "string",
    "code": "string"
  }
}
{
  "error": {
    "message": "string",
    "type": "string",
    "param": "string",
    "code": "string"
  }
}
{
  "error": {
    "message": "string",
    "type": "string",
    "param": "string",
    "code": "string"
  }
}
{
  "error": {
    "message": "string",
    "type": "string",
    "param": "string",
    "code": "string"
  }
}
{
  "error": {
    "message": "string",
    "type": "string",
    "param": "string",
    "code": "string"
  }
}
{
  "error": {
    "message": "string",
    "type": "string",
    "param": "string",
    "code": "string"
  }
}
{
  "error": {
    "message": "string",
    "type": "string",
    "param": "string",
    "code": "string"
  }
}
{
  "error": {
    "message": "string",
    "type": "string",
    "param": "string",
    "code": "string"
  }
}
{
  "error": {
    "message": "string",
    "type": "string",
    "param": "string",
    "code": "string"
  }
}
{
  "error": {
    "message": "string",
    "type": "string",
    "param": "string",
    "code": "string"
  }
}
{
  "error": {
    "message": "string",
    "type": "string",
    "param": "string",
    "code": "string"
  }
}
{
  "error": {
    "message": "string",
    "type": "string",
    "param": "string",
    "code": "string"
  }
}

How is this guide?